%global momorel 1

Name: momonga-logos
Summary: Momonga Linux icons and pictures.
Version: 4.0
Release: %{momorel}m%{?dist}
Group: System Environment/Base
Source0: momonga-logos-%{version}.tar.bz2
License: "Momonga"
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Obsoletes: redhat-logos
Provides: redhat-logos
Provides: system-logos
Conflicts: kdebase <= 3.1.5
Conflicts: anaconda-images <= 10
Conflicts: redhat-artwork <= 5.0.5
# for /usr/share/icons/Bluecurve
Requires: redhat-artwork
# for /usr/share/icons/hicolor
Requires: hicolor-icon-theme

%description
momonga-logos package

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

# install grub images
mkdir -p %{buildroot}/boot/grub
for i in bootloader/* ; do
  install -m 644 $i %{buildroot}/boot/grub
done

# install firstboot images
mkdir -p %{buildroot}%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i %{buildroot}%{_datadir}/firstboot/pixmaps
done

# install firstboot images
mkdir -p %{buildroot}%{_datadir}/rhgb/
for i in rhgb/* ; do
  install -m 644 $i %{buildroot}%{_datadir}/rhgb/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/boot/grub/*.xpm.gz
%{_datadir}/firstboot/pixmaps/*.png
%{_datadir}/rhgb/*.png

%changelog
* Sun Aug  5 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-1m)
- modify firstboot images

* Tue Jul 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0-0.5m)
- add bootloader image for Momonga Linux 4

* Wed Jul  4 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-0.4m)
- change firstboot images for Momonga Linux 4

* Tue Jun 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.3m)
- revise main-logo.png to rhgb format, 24bpp -> 32bpp

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.2m)
- set main-logo.png for Beta1

* Wed Jun 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0-0.1m)
- add Dummy rhgb images
- Fix ME!
-- /usr/share/rhgb/progress.png
-- /usr/share/rhgb/main-logo.png

* Wed Mar 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.1-2m)
- install grub images

* Mon Mar 12 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.1-1m)
- include grub images
- Provides: system-logos

* Sat Jul 29 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-3m)
- change firstboot-left.png

* Thu Jul 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-2m)
- change splash-small.png
- add firstboot-left.png

* Wed Jul 26 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-1m)
- change Momonga Linux 3 image

* Sat Jun 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-2m)
- delete duplicate dir

* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-1m)
- first release
